Debian Bug report logs - #400440
libxcomposite1: calls UnlockDisplay without calling LockDisplay first

version graph

Package: libxcomposite1; Maintainer for libxcomposite1 is Debian X Strike Force <debian-x@lists.debian.org>; Source for libxcomposite1 is src:libxcomposite.

Reported by: Jamey Sharp <sharpone@debian.org>

Date: Sun, 26 Nov 2006 10:06:53 UTC

Severity: important

Tags: fixed-upstream, patch, upstream

Found in version libxcomposite/1:0.3-2

Fixed in version libxcomposite/1:0.3-3

Done: Jamey Sharp <sharpone@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#400440; Package libxcomposite1. Full text and rfc822 format available.

Acknowledgement sent to Jamey Sharp <sharpone@debian.org>:
New Bug report received and forwarded. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jamey Sharp <sharpone@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libxcomposite1: calls UnlockDisplay without calling LockDisplay first
Date: Sun, 26 Nov 2006 01:51:48 -0800
[Message part 1 (text/plain, inline)]
Package: libxcomposite1
Version: 1:0.3-2
Severity: important
Tags: upstream fixed-upstream patch

libXcomposite calls UnlockDisplay without calling LockDisplay.  This
causes a locking correctness assertion failure with libX11 1.1 and
Xlib/XCB in experimental, and will become RC after the etch release when
libX11 1.1 enters unstable.

http://gitweb.freedesktop.org/?p=xorg/lib/libXcomposite.git;a=commitdiff_plain;h=f0a1453f24e29a9badc8f29d81c42c0eb3f67065

-- System Information:
Debian Release: 4.0
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18-1-686
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)

Versions of packages libxcomposite1 depends on:
ii  libc6                        2.3.6.ds1-8 GNU C Library: Shared libraries
ii  libx11-6                     2:1.0.3-3   X11 client-side library
ii  libxext6                     1:1.0.1-2   X11 miscellaneous extension librar
ii  libxfixes3                   1:4.0.1-4   X11 miscellaneous 'fixes' extensio
ii  x11-common                   1:7.1.0-7   X Window System (X.Org) infrastruc

libxcomposite1 recommends no packages.

-- no debconf information
[signature.asc (application/pgp-signature, inline)]

Reply sent to Jamey Sharp <sharpone@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Jamey Sharp <sharpone@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #10 received at 400440-close@bugs.debian.org (full text, mbox):

From: Jamey Sharp <sharpone@debian.org>
To: 400440-close@bugs.debian.org
Subject: Bug#400440: fixed in libxcomposite 1:0.3-3
Date: Tue, 28 Nov 2006 01:02:14 +0000
Source: libxcomposite
Source-Version: 1:0.3-3

We believe that the bug you reported is fixed in the latest version of
libxcomposite, which is due to be installed in the Debian FTP archive:

libxcomposite-dev_0.3-3_i386.deb
  to pool/main/libx/libxcomposite/libxcomposite-dev_0.3-3_i386.deb
libxcomposite1-dbg_0.3-3_i386.deb
  to pool/main/libx/libxcomposite/libxcomposite1-dbg_0.3-3_i386.deb
libxcomposite1_0.3-3_i386.deb
  to pool/main/libx/libxcomposite/libxcomposite1_0.3-3_i386.deb
libxcomposite_0.3-3.diff.gz
  to pool/main/libx/libxcomposite/libxcomposite_0.3-3.diff.gz
libxcomposite_0.3-3.dsc
  to pool/main/libx/libxcomposite/libxcomposite_0.3-3.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 400440@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jamey Sharp <sharpone@debian.org> (supplier of updated libxcomposite package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 27 Nov 2006 16:07:41 -0800
Source: libxcomposite
Binary: libxcomposite1-dbg libxcomposite-dev libxcomposite1
Architecture: source i386
Version: 1:0.3-3
Distribution: unstable
Urgency: low
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Changed-By: Jamey Sharp <sharpone@debian.org>
Description: 
 libxcomposite-dev - X11 Composite extension library (development headers)
 libxcomposite1 - X11 Composite extension library
 libxcomposite1-dbg - X11 Composite extension library (debug package)
Closes: 400440
Changes: 
 libxcomposite (1:0.3-3) unstable; urgency=low
 .
   * calls UnlockDisplay without calling LockDisplay first (Closes:
     #400440)
   * Add Josh and myself to Uploaders.
   * Enable xsfbs patch application.
   * Add quilt to Build-Depends.
Files: 
 0fff1965e45f7f9421e4df446ff23bf4 974 x11 optional libxcomposite_0.3-3.dsc
 701125e4158b5bd9ae32668b77f10792 17205 x11 optional libxcomposite_0.3-3.diff.gz
 e3225856bb3b5ef0e3f695fdfd93d343 6294 x11 optional libxcomposite1_0.3-3_i386.deb
 bd0c5ad14a1377659d1c027af2a54f89 21676 x11 optional libxcomposite1-dbg_0.3-3_i386.deb
 0b9153f588c3ac8a108e297cf74ca1ba 6194 x11 optional libxcomposite-dev_0.3-3_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFFa35Pp1aplQ4I9mURAm2kAJ4lK8mn0UBZjY80bpsJjmMtMnc9xgCfRa4V
y+S5hSQl3hmwGnSyI9GK0OM=
=PnrK
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 25 Jun 2007 08:17:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 00:06:48 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.